:root{
--gold:#c7a15a;
--black:#050505;
--dark:#111;
--white:#fff;
}

*{
margin:0;
padding:0;
box-sizing:border-box;
}

body{
background:#050505;
font-family:Poppins;
color:#fff;
overflow-x:hidden;
}

.container{
width:90%;
max-width:1400px;
margin:auto;
}

header{
position:fixed;
top:0;
width:100%;
z-index:999;
backdrop-filter:blur(12px);
background:rgba(0,0,0,.3);
}

header .container{
display:flex;
justify-content:space-between;
align-items:center;
padding:20px 0;
}

.logo img{
height:70px;
}

nav{
display:flex;
gap:40px;
}

nav a{
color:white;
text-decoration:none;
}

.btn-topo{
background:var(--gold);
color:black;
padding:14px 28px;
text-decoration:none;
font-weight:600;
border-radius:50px;
}

.hero{
height:100vh;
min-height:900px;
position:relative;
overflow:hidden;
padding-top:120px;
}
.slide{
position:absolute;
width:100%;
height:100%;
background-size:cover;
background-position:center;
opacity:0;
transition:1.5s;
}

.slide.active{
opacity:1;
}

.overlay{
position:absolute;
width:100%;
height:100%;
background:linear-gradient(
90deg,
rgba(0,0,0,.88),
rgba(0,0,0,.25)
);
}

.hero-content{
position:relative;
z-index:5;
height:100%;
display:flex;
flex-direction:column;
justify-content:center;
padding-left:10%;
max-width:700px;
}

.subtitle{
color:var(--gold);
letter-spacing:4px;
}

.hero h1{
font-size:72px;
font-family:'Playfair Display';
margin:20px 0;
}

.hero p{
font-size:20px;
margin-bottom:40px;
}

.buttons{
display:flex;
gap:20px;
}

.btn-gold{
background:var(--gold);
padding:18px 40px;
text-decoration:none;
color:black;
font-weight:600;
border-radius:40px;
}

.btn-outline{
border:1px solid var(--gold);
padding:18px 40px;
text-decoration:none;
color:white;
border-radius:40px;
}

.stats{
padding:100px 5%;
display:grid;
grid-template-columns:repeat(4,1fr);
text-align:center;
}

.stat h2{
color:var(--gold);
font-size:52px;
}

.colecao,
.steps,
.gallery,
.cta{
padding:120px 5%;
}

.colecao h2,
.steps h2,
.gallery h2,
.cta h2{
font-size:54px;
font-family:'Playfair Display';
text-align:center;
margin-bottom:70px;
}

.cards{
display:grid;
grid-template-columns:repeat(4,1fr);
gap:30px;
}

.card{
background:#111;
border-radius:20px;
overflow:hidden;
}

.card img{
width:100%;
height:450px;
object-fit:cover;
}

.card h3{
padding:20px;
}

.step-grid{
display:grid;
grid-template-columns:repeat(4,1fr);
text-align:center;
}

.step-grid span{
font-size:70px;
color:var(--gold);
}

.gallery-grid{
columns:3;
gap:20px;
}

.gallery-grid img{
width:100%;
margin-bottom:20px;
border-radius:20px;
}

.cta{
text-align:center;
background:#111;
}

.cta a{
display:inline-block;
margin-top:30px;
background:var(--gold);
padding:20px 40px;
border-radius:40px;
text-decoration:none;
color:black;
font-weight:600;
}

footer{
padding:80px;
text-align:center;
background:black;
}

footer img{
height:90px;
margin-bottom:20px;
}

.mobile{
display:none;
}

@media(max-width:768px){

.desktop{
display:none;
}

.mobile{
display:block;
}

nav{
display:none;
}

.hero h1{
font-size:42px;
}

.stats{
grid-template-columns:1fr 1fr;
gap:30px;
}

.cards{
grid-template-columns:1fr;
}

.step-grid{
grid-template-columns:1fr 1fr;
gap:40px;
}

.gallery-grid{
columns:1;
}

}